use crate::vm::platform::std_lib::core::{dm_print, dm_println};
use crate::vm::PlatformFunction;
use std::collections::HashMap;

mod std_lib;

pub fn get_std_lib_platform_functions() -> HashMap<String, PlatformFunction> {
    let mut fns: HashMap<String, PlatformFunction> = HashMap::new();
    fns.insert(String::from("std::core::print"), dm_print);
    fns.insert(String::from("std::core::println"), dm_println);
    fns
}
